<input type="hidden" name="id" value="{{challenge.id}}" />

<div class="field">
  <label class="label">Name</label>
  <div class="control">
    <input
      class="input"
      type="text"
      placeholder="Your challenge's name"
      name="name"
      value="{{challenge.name}}"
    />
  </div>
</div>

<div class="field">
  <label class="label">Description</label>
  <div class="control">
    <textarea
      class="textarea"
      name="description"
      placeholder="Describe your challenge and what users can expect from it."
    >{{challenge.description}}</textarea>
  </div>
</div>

<div class="field is-grouped">
  <div class="field mr-3">
    <label class="label">Short Name</label>
    <div class="control">
      <input
        class="input"
        type="text"
        placeholder="Shorter name / ID"
        name="shortname"
        value="{{challenge.shortname}}"
      />
    </div>
  </div>
  <div class="field">
    <div class="control">
      <label class="label">Featured</label>
      <label class="checkbox">
        <input type="checkbox" name="featured" {{#if challenge.featured}}checked{{/if}}>
        Feature on home page
      </label>
    </div>
  </div>
</div>

<div class="field is-grouped">
  <div class="field mr-3">
    <label class="label">Start Date</label>
    <div class="control">
      <input
        class="input"
        type="date"
        placeholder="2022-01-01"
        name="start_date"
        value="{{challenge.start_date}}"
      />
    </div>
  </div>
  <div class="field">
    <label class="label">End Date</label>
    <div class="control">
      <input
        class="input"
        type="date"
        placeholder="2022-01-01"
        name="end_date"
        value="{{challenge.end_date}}"
      />
    </div>
  </div>
</div>

<div class="field">
  <label class="label">GitLab Project</label>
  <div class="field has-addons">
    <p class="control">
      <a class="button is-static">
        https://gitlab.com/
      </a>
    </p>
    <p class="control">
      <input
        class="input"
        type="text"
        placeholder="gitlab-org/gitlab"
        name="project_name"
        value="{{challenge.project_name}}"
      />
    </p>
  </div>
</div>

<div class="field">
  <label class="label">Terms &amp; Rules Link</label>
  <div class="field">
    <input
      class="input"
      type="text"
      placeholder="https://about.gitlab.com/handbook/rules"
      name="rules"
      value="{{challenge.rules}}"
    />
  </div>
</div>
<hr/>
<div class="field is-grouped">
  <div class="field mr-5">
    <div class="control">
      <label class="label">Group Forks</label>
      <label class="checkbox">
        <input type="checkbox" name="enable_fork_group" {{#if challenge.enable_fork_group}}checked{{/if}}>
        Enable Group Forks
      </label>
    </div>
  </div>
  <div class="field mr-5">
    <label class="label">Fork Group ID</label>
    <div class="control">
      <input
        class="input"
        type="text"
        placeholder="Group ID"
        name="fork_group_id"
        value="{{challenge.fork_group_id}}"
      />
    </div>
  </div>

  <div class="field">
    <label class="label">Group Membership Expiry (Days)</label>
    <div class="control">
      <input
        class="input"
        type="text"
        placeholder=""
        name="fork_group_expiry"
        value="{{challenge.fork_group_expiry}}"
      />
    </div>
  </div>
  
</div>

<hr/>

<div class="field">
  <label class="label">Leaderboard Message Title</label>
  <div class="control">
    <input
      class="input"
      type="text"
      placeholder=""
      name="lb_message_title"
      value="{{challenge.lb_message_title}}"
    />
  </div>
</div>

<div class="field">
  <label class="label">Leaderboard Message Body</label>
  <div class="control">
    <textarea
      class="textarea"
      name="lb_message_content"
      placeholder=""
    >{{challenge.lb_message_content}}</textarea>
  </div>
</div>

<div class="field">
  <label class="label">Leaderboard QR Code Content</label>
  <div class="control">
    <input
      class="input"
      type="text"
      placeholder=""
      name="lb_qrcode_content"
      value="{{challenge.lb_qrcode_content}}"
    />
  </div>
</div>

<div class="field is-grouped">
  <div class="control">
    <a class="button is-link is-light" href="/app">Cancel</a>
  </div>
  <div class="control">
    <button class="button is-link">
      {{#if btnTitle}}
        {{btnTitle}}
      {{else}}
        Create
      {{/if}}
    </button>
  </div>
</div>